// DataView.cpp : implementation file
//

#include "stdafx.h"
#include "BWE.h"
#include "DataView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DataView

IMPLEMENT_DYNCREATE(DataView, CScrollView)

DataView::DataView()
{
}

DataView::~DataView()
{
}


BEGIN_MESSAGE_MAP(DataView, CScrollView)
	//{{AFX_MSG_MAP(DataView)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DataView drawing

void DataView::OnInitialUpdate()
{
	CScrollView::OnInitialUpdate();

	CSize sizeTotal;
	// TODO: calculate the total size of this view
	sizeTotal.cx = sizeTotal.cy = 100;
	SetScrollSizes(MM_TEXT, sizeTotal);
}

void DataView::OnDraw(CDC* pDC)
{
	CDocument* pDoc = GetDocument();
	// TODO: add draw code here
}

/////////////////////////////////////////////////////////////////////////////
// DataView diagnostics

#ifdef _DEBUG
void DataView::AssertValid() const
{
	CScrollView::AssertValid();
}

void DataView::Dump(CDumpContext& dc) const
{
	CScrollView::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// DataView message handlers
